## com.bbn.openmap.util.wanderer
Interface WandererCallback

All Known Implementing Classes:
  ChangeCase, DTEDLocator, OneWaySync, Purge, SLOC, TestWandererCallback

public interface WandererCallback

The Wanderer walks through a directory tree, and makes calls to the WandererCallback with what it finds. You add your WandererCallback to the Wanderer, and then just take your action on the files.

Method Summary
`void` `handleDirectory(java.io.File directory)` Do what you need to do to the directory.
`void` `handleFile(java.io.File file)` Do what you need to do to the file.

Method Detail

### handleDirectory

    public void handleDirectory(java.io.File directory)

  Do what you need to do to the directory.

### handleFile

    public void handleFile(java.io.File file)

  Do what you need to do to the file.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details